Subject: Geothermal Heat Pumps

From: Thomas Crist <[email-masked]>
Date: Sun, 22 Sep 1996 14:38:54 -0400

I am considering installation of a geothermal heat pump system for use 
in a home in the US northeast.  Is this practical vs. oil when 
electricity costs 15 cents/kwh? What are the trade offs and potential 
problems?  Where can I get information on systems, cost, installation 
requirements, etc?  Any comments or suggestions would be greatly 
welcomed.  Thanks.
Tom
e-mail [email-masked]